;;; -*-lisp-*-

;;;--------------------------------------------------------------------------
;;; House network.

;; ibanez and guests.

(defhost ibanez
  :hypervisor :kvm
  :os :debian
  :location house
  :server #(:multihome :ntp))

(defhost radius
  :vm-host ibanez
  :os :debian
  :server #(:router :dns :syslog :vpn))

(defhost roadstar
  :vm-host ibanez
  :os :debian
  :server #(:multihome :dns :ftp :http :nfs :www-cache :rsync :munin))

(defhost jem
  :vm-host ibanez
  :os :debian
  :mail-mode :usersat
  :mail-daemon :heavy
  :print-client t
  :server #(:multihome :login :rsync :http :nfs :mail))

(defhost artist
  :vm-host ibanez
  :os :debian
  :mail-mode :usersat
  :server #(:router :login :http :rsync :mail))

;; Other servers.

(defhost vampire
  :os :debian
  :location house
  :mail-mode :usersat
  :server #(:router :ntp :vpn :nfs :print))

(defhost groove
  :os :debian
  :location house
  :server #(:http))

;; Clients.

(defhost gibson
  :os :debian
  :location house
  :mail-daemon :heavy
  :client t)

(defhost crybaby
  :os :debian
  :location :mobile
  :mail-daemon :heavy
  :client t)

(defhost haze
  :os :sailfish
  :location :mobile
  :client t)

;;;--------------------------------------------------------------------------
;;; Colocated servers.

;; fender and guests.

(defhost fender
  :hypervisor :kvm
  :os :debian
  :location jump
  :server #(:multihome :ntp))

(defhost precision
  :vm-host fender
  :os :debian
  :server #(:router :dns :vpn))

(defhost telecaster
  :vm-host fender
  :os :debian
  :mail-mode :srv
  :mail-daemon :heavy
  :server #(:multihome :dns :ftp :http :rsync :munin :nfs :mail))

(defhost stratocaster
  :vm-host fender
  :os :debian
  :mail-mode :hub
  :mail-daemon :heavy
  :server #(:multihome :login :rsync :http :nfs :mail))

(defhost jazz
  :vm-host fender
  :os :debian
  :mail-mode :usersat
  :server #(:multihome :login :http :mail :vpn))

;;;----- That's all, folks --------------------------------------------------
